Loading...
Searching...
No Matches
juce::universal_midi_packets::ToBytestreamDispatcher Class Reference

`#include <juce_UMPDispatcher.h>`

## Public Member Functions

| ToBytestreamDispatcher (int storageSize)
void | reset ()
template<typename BytestreamMessageCallback>
void | dispatch (const uint32_t *begin, const uint32_t *end, double timestamp, BytestreamMessageCallback &&callback)

## Detailed Description

Parses a stream of 32-bit words representing a sequence of UMP-encoded MIDI messages, converting the messages to MIDI 1.0 bytestream format and passing them to a user-provided callback as they become ready.

Definition at line 155 of file juce_UMPDispatcher.h.

## Constructor & Destructor Documentation

## ToBytestreamDispatcher()

juce::universal_midi_packets::ToBytestreamDispatcher::ToBytestreamDispatcher | ( | int | storageSize | ) |

inline explicit

Initialises the dispatcher.

storageSize bytes will be allocated to store incomplete messages.

Definition at line 162 of file juce_UMPDispatcher.h.

## Member Function Documentation

## dispatch()

template<typename BytestreamMessageCallback>

void juce::universal_midi_packets::ToBytestreamDispatcher::dispatch | ( | const uint32_t * | begin,
|  | const uint32_t * | end,
|  | double | timestamp,
|  | BytestreamMessageCallback && | callback )

inline

Calls callback with converted bytestream-formatted MidiMessage whenever a new message becomes available.

Parameters

  begin | the first word in a stream of words representing UMP-encoded MIDI packets.
  end | one-past the last word in a stream of words representing UMP-encoded MIDI packets.
  timestamp | a timestamp to apply to converted messages.
  callback | a callback which will be passed a MidiMessage each time a new message becomes ready.

Definition at line 181 of file juce_UMPDispatcher.h.

## reset()

void juce::universal_midi_packets::ToBytestreamDispatcher::reset | ( |  | ) |

inline

Clears the dispatcher.

Definition at line 166 of file juce_UMPDispatcher.h.

The documentation for this class was generated from the following file:

- juce_UMPDispatcher.h